JavaScript
import Profound from '@profoundai/client';
const client = new Profound({
apiKey: process.env['PROFOUND_API_KEY'], // This is the default and can be omitted
});
const response = await client.knowledgeBases.search('182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e', {
query: 'x',
top_k: 1,
});
console.log(response.data);import os
from profound import Profound
client = Profound(
api_key=os.environ.get("PROFOUND_API_KEY"), # This is the default and can be omitted
)
response = client.knowledge_bases.search(
knowledge_base_id="182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
query="x",
top_k=1,
)
print(response.data)curl --request POST \
--url https://api.tryprofound.com/v1/knowledge-bases/{knowledge_base_id}/search \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"query": "<string>",
"top_k": 50,
"return_full_page": false,
"filters": {
"tags": [
"<string>"
],
"folders": [
"<string>"
]
}
}
'
{
"data": [
{
"id": "<string>",
"score": 123,
"metadata": {},
"content": "<string>"
}
],
"pagination": {
"limit": 10000,
"next_cursor": "<string>"
}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Knowledge Bases
Search Knowledge Base
Search a knowledge base and return matching snippets or pages.
POST
/
v1
/
knowledge-bases
/
{knowledge_base_id}
/
search
JavaScript
import Profound from '@profoundai/client';
const client = new Profound({
apiKey: process.env['PROFOUND_API_KEY'], // This is the default and can be omitted
});
const response = await client.knowledgeBases.search('182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e', {
query: 'x',
top_k: 1,
});
console.log(response.data);import os
from profound import Profound
client = Profound(
api_key=os.environ.get("PROFOUND_API_KEY"), # This is the default and can be omitted
)
response = client.knowledge_bases.search(
knowledge_base_id="182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
query="x",
top_k=1,
)
print(response.data)Authorizations
APIKeyHeaderBearerAuth
Path Parameters
Unique knowledge base ID.
Query Parameters
Organization scope for API keys that can access multiple organizations.
Body
application/json
Search query.
Minimum string length:
1Maximum number of results to return.
Required range:
1 <= x <= 100Return full page content instead of snippets.
Optional search filters.
Show child attributes
Show child attributes
Was this page helpful?
⌘I